Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 985026 - Popups: Should auto-focus first element and respond to <enter key> for "OK"
Summary: Popups: Should auto-focus first element and respond to <enter key> for "OK"
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: DR3
: 6.1.0
Assignee: manstis
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
: 1033853 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-16 15:16 UTC by Radovan Synek
Modified: 2018-03-05 20:20 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1017886 None None None Never
Red Hat Bugzilla 1033853 None None None Never

Internal Links: 1017886 1033853

Description Radovan Synek 2013-07-16 15:16:44 UTC
When user wants to create new repository, project or any asset, dialog appears where the user has to fill (at least) name and other information.

1. The user has to click into the input field before he starts to write
=> there should be already focus on the first input field of the dialog.

2. After filling this dialog, the user would like to press <enter> to send the dialog, but he gets no response - he has to click on "OK" button.
=> at least CRUD dialogs should react on <enter>

Comment 4 Radovan Synek 2014-03-18 17:25:02 UTC
qe_test_coverage: UX issue

Comment 8 Zuzana Krejčová 2015-03-09 11:47:03 UTC
*** Bug 1033853 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.